Documentation IndexFetch the complete documentation index at: /llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: /llms.txt
Use this file to discover all available pages before exploring further.
取得特定代幣的頂級交易者
cURL
curl --request GET \ --url https://api.chainstream.io/v2/trade/{chain}/top-traders \ --header 'Authorization: Bearer <token>'
import requests url = "https://api.chainstream.io/v2/trade/{chain}/top-traders" headers = {"Authorization": "Bearer <token>"} response = requests.get(url, headers=headers) print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}}; fetch('https://api.chainstream.io/v2/trade/{chain}/top-traders', options) .then(res => res.json()) .then(res => console.log(res)) .catch(err => console.error(err));
<?php $curl = curl_init(); curl_setopt_array($curl, [ CURLOPT_URL => "https://api.chainstream.io/v2/trade/{chain}/top-traders", CURLOPT_RETURNTRANSFER => true, CURLOPT_ENCODING => "", CURLOPT_MAXREDIRS => 10, CURLOPT_TIMEOUT => 30, CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1, CURLOPT_CUSTOMREQUEST => "GET", CURLOPT_HTTPHEADER => [ "Authorization: Bearer <token>" ], ]); $response = curl_exec($curl); $err = curl_error($curl); curl_close($curl); if ($err) { echo "cURL Error #:" . $err; } else { echo $response; }
package main import ( "fmt" "net/http" "io" ) func main() { url := "https://api.chainstream.io/v2/trade/{chain}/top-traders" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "Bearer <token>") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(string(body)) }
HttpResponse<String> response = Unirest.get("https://api.chainstream.io/v2/trade/{chain}/top-traders") .header("Authorization", "Bearer <token>") .asString();
require 'uri' require 'net/http' url = URI("https://api.chainstream.io/v2/trade/{chain}/top-traders") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = 'Bearer <token>' response = http.request(request) puts response.read_body
{ "data": [ { "buyAmount": "600000", "buyAmountInNative": "100.5", "buyAmountInUsd": "12000.50", "buyCount": 60, "sellAmount": "400000", "sellAmountInNative": "66.8", "sellAmountInUsd": "8000.30", "sellCount": 40, "tokenAddress": "6p6xgHyF7AeE6TZkSmFsko444wqoP15icUSqi2jfGiPN", "tradeAmount": "1000000", "tradeCount": 100, "walletAddress": "3xd4LGVWtYXLBspR6X5JWbW49NXmEehfPtX6Kqx98b4w" } ], "endCursor": "eyJpZCI6ImVuZCJ9", "hasNext": false, "hasPrev": false, "startCursor": "eyJpZCI6InN0YXJ0In0=", "total": 564094 }
trade_get_top_traders
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Bearer <token>
<token>
支援網路列表中的鏈名稱 Supported blockchain chains
sol
eth
bsc
分頁游標
每頁回傳結果數量
分頁方向(next 或 prev) Pagination direction
next
prev
代幣地址
交易篩選的時間範圍 Time frame for statistics
30m
1h
2h
4h
6h
8h
12h
24h
交易結果排序類型 Sort direction (case-insensitive: accepts "asc"/"ASC"/"Asc" etc.)
asc
desc
交易排序欄位 Sort field for top traders query
tradeAmount
tradeCount
成功回應
Generic pagination response
Page data
Show child attributes
Cursor for the end of current page
"eyJpZCI6ImVuZCJ9"
Whether there is a next page
false
Whether there is a previous page
Cursor for the start of current page
"eyJpZCI6InN0YXJ0In0="
Total number of items matching the query (not just the current page). When None, the caller should treat it as unknown (backward-compatible).
None
564094
這個頁面有幫助嗎?